Bug 137908 - Exceptions for auto correct disappear lost after restart
Summary: Exceptions for auto correct disappear lost after restart
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.2.2 release
Hardware: All All
: high normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.1.0 target:7.0.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-11-01 15:07 UTC by ralf.reis@gmx.de
Modified: 2020-11-06 13:58 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Bibisect log (2.89 KB, text/plain)
2020-11-02 21:51 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ralf.reis@gmx.de 2020-11-01 15:07:01 UTC
Description:
Reiter Ausnahmen

alles leer, keine Ausnahmen vorhanden. Nach dem Eingeben neuer Ausnahmen sind diese nach einem Neustart wieder gelöscht, es existieren keine Ausnahmen.

Actual Results:
Alles leer

Expected Results:
So herstellen wie in den Versionen 6.0.


Reproducible: Always


User Profile Reset: Yes


OpenGL enabled: Yes

Additional Info:
Bitte in Deutsch
Comment 1 Telesto 2020-11-01 22:52:21 UTC
STR
1. Open Writer
2. Tools - Auto correction -> Auto correct options -> Exceptions entry
3. Add some entry
4. Press OK
5. Close LibreOffice
6. Launch LibreOffice again
7. Tools - Auto correction -> Auto correct options -> Exceptions entry being empty

It's even empty from launch on.. which not the case in LibreOffice 6.4


Repro with
Version: 7.1.0.0.alpha1+ (x64)
Build ID: ec1f4d3253963ac16d638734ac70dde033e82154
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL

not with
Version: 6.4.0.0.beta1+ (x64)
Build ID: 20be5cd0bdc57d812bf34a2debfe48caa51de881
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: GL; VCL: win; 
Locale: nl-NL (nl_NL); UI-Language: en-US
Calc: CL
Comment 2 Telesto 2020-11-02 21:51:34 UTC
Created attachment 166956 [details]
Bibisect log

Bisected to
author	Noel Grandin <noel.grandin@collabora.co.uk>	2019-11-18 14:26:39 +0200
committer	Noel Grandin <noel.grandin@collabora.co.uk>	2019-11-19 10:12:55 +0100
commit	79ea745d595945e454ced9f6cacd2bb57aa51f95 (patch)
tree	c5b51d24f54f60a14f1626cba3989d160cdd8a63
parent	6e818f0a063a2db37361e42f9c49d4bb9e44945a (diff)
use FasterParser for LoadXMLExceptList_Imp
the SvXMLImport superclass of XMLVersionListImport already constructs a
parser, so we can just use that one

https://cgit.freedesktop.org/libreoffice/core/commit/?id=79ea745d595945e454ced9f6cacd2bb57aa51f95
Comment 3 Telesto 2020-11-02 21:52:21 UTC
Adding CC: to Noel Grandin
Comment 4 Commit Notification 2020-11-06 06:07:43 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ad66197f9e18da53afb42042bd0c86e0f3d94675

tdf#137908 Revert "use FasterParser for LoadXMLExceptList_Imp"

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2020-11-06 10:58:50 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/dfa3e57aea355c0f6f5ec5e8af4ae2749279837c

tdf#137908 Revert "use FasterParser for LoadXMLExceptList_Imp"

It will be available in 7.0.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2020-11-06 13:58:06 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c7d258d6e8b0ca78003b172806928443e9634416

tdf#137908: uitest: Add asserts to check there is at least 1 element

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.